summaryrefslogtreecommitdiff
path: root/test/windows/all
diff options
context:
space:
mode:
Diffstat (limited to 'test/windows/all')
-rwxr-xr-xtest/windows/all53
1 files changed, 53 insertions, 0 deletions
diff --git a/test/windows/all b/test/windows/all
new file mode 100755
index 0000000..d8f3531
--- /dev/null
+++ b/test/windows/all
@@ -0,0 +1,53 @@
+#! /usr/bin/env bash
+
+trap 'exit 1' ERR
+
+function error ()
+{
+ echo "$*" 1>&2
+}
+
+function usage ()
+{
+ error "usage: $0 vc-version conf plat [action]"
+ error " valid configurations are: {Debug,Release}|all"
+ error " valid platforms are: {Win32,x64}|all"
+ error " valid actions are: /Build (default), /Clean, and /Rebuild"
+}
+
+if [ "$1" = "" ]; then
+ error vc version expected
+ usage
+ exit 1
+fi
+
+if [ "$2" = "" ]; then
+ error configuration expected
+ usage
+ exit 1
+fi
+
+if [ "$3" = "" ]; then
+ error platform expected
+ usage
+ exit 1
+fi
+
+action=$4
+if [ "$action" == "" ]; then
+ action=/Build
+fi
+
+cd libstudxml
+
+cmd.exe /C ..\\setenv.bat "$1" ..\\build.bat "$1" "$2" "$3" "$action"
+
+cd tests
+cmd.exe /C ..\\..\\setenv.bat "$1" test.bat
+cd ..
+
+cd examples
+cmd.exe /C ..\\..\\setenv.bat "$1" test.bat
+cd ..
+
+cd ..